//  Complex Tutorial Skin - triangle.m MAKI file
//  Created by Ken Chen for the official Winamp3 skinning site.

//  #include Section
#include "std.mi"
#include "config.mi"
// #include "../../../lib/pldir.mi"

//  Variable Declaration Section
global Button button_triangle;
global Button button_eqaus;
// global Button button_presets;
global Group supertypes;
global Layer equus;
global Int moving_triangle;
global String status_triangle;
Function Boolean zeigepresets(int wert);

//  System.onScriptUnloading() Section
System.onScriptUnloading(){
}

//  System.onScriptLoaded() Section
System.onScriptLoaded(){
	group triangleDrawer = getScriptGroup();
	button_triangle = triangleDrawer.findobject("complex.eqeinaus.eqein");
	button_eqaus = triangleDrawer.findobject("complex.eqeinaus.eqaus");
	// button_presets = triangleDrawer.findobject("complex.eqeinaus.presetze");
	supertypes = triangleDrawer.findobject("complex.buttons");
	equus = triangleDrawer.findobject("complex.equaliza.flaeche");
	status_triangle = "closed";
	moving_triangle = 0;
}

//  Funktionen
button_triangle.onleftbuttonup(int x,int y){
	if( status_triangle == "closed" && moving_triangle != 1 ){
		moving_triangle = 1;
		equus.setTargetY(90);
		equus.setTargetX(100);
		equus.setTargetSpeed(0.25);
		equus.gototarget();
		button_eqaus.setAlpha(255);
	} else if( status_triangle == "open" && moving_triangle != 1){
		moving_triangle = 1;
		equus.setTargetY(0);
		equus.setTargetX(0);
		equus.setTargetSpeed(0.25);
		equus.gototarget();
		button_eqaus.setAlpha(0);
		supertypes.setAlpha(0);
//		zeigepresets(0);
	}
}

equus.ontargetreached(){
	if( status_triangle == "closed" ){
		status_triangle = "open";
		moving_triangle = 0;
		supertypes.setAlpha(255);
//		zeigepresets(255);
	}else if( status_triangle == "open" ){
		status_triangle = "closed";
		moving_triangle = 0;
	}
}

Boolean zeigepresets(int wert) {
// button_presets.setAlpha(wert);
}